Name: qmail-vacation
Version: 1.4m
Release: 3%{?dist}
Summary: Reply to mail automatically using qmail

Group: System Environment/Daemons
License: GPLv2
URL: http://www.uni.edu/~prefect/devel/qmail-vacation/index.shtml

Source0: http://www.uni.edu/~prefect/devel/qmail-vacation/%{name}-v%{version}.tar.gz
Patch0: qmail-vacation-centos.patch

BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

BuildArch: noarch

%description
Vacation automatically replies to incoming mail. This version of
vacation has been specifically tailored for use with a qmail mail
transport agent. It will not function if used with a different mail
transport agent. 

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1 -b .centos

%build
%{__cp} -a vacation vacation.dist
%{__cp} -a vacation.1 vacation.1.dist

%{__sed} -e 's@/usr/local/bin/vacation@%{_bindir}/vacation@' \
    vacation.dist > vacation

%{__sed} -e 's@xMSGFILEx@.vacation.msg@g' \
    -e 's@xDOTQMAILx@.qmail@g' \
    -e 's@xVACATIONx@%{_bindir}/vacation@g' \
    -e 's@xMBOXx@$home/Mailbox@g' \
    -e 's@xALIASESx@.vacation.aliases@g' \
    -e 's@xNOREPLYx@.vacation.noreply@g' \
    -e 's@xEDITORx@vi@g' \
    -e 's@xPAGERx@less@g' \
    -e 's@xDBMFILEx@.vacation@g' \
    -e 's@xVERSIONx@%{version}@g' \
    vacation.1.dist > vacation.1

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man1

%{__cp} vacation $RPM_BUILD_ROOT%{_bindir}
%{__cp} vacation.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README
%{_bindir}/vacation
%{_mandir}/man1/*

%changelog
* Mon Jan 07 2013 Pavel Lisy <pali@tmapy.cz> 1.4m-3
- cleaning of spec file

* Tue Jan 10 2012 Pavel Lisy <pali@tmapy.cz> 1.4m-2
- rebuilt with changes for RHEL-6

* Fri Apr 22 2011 Pavel Lisy <pavel.lisy@gmail.com> 1.4m-1
- rebased to modified 1.4 version

* Fri Mar 13 2009 Pavel Lisy <pali@tmapy.cz> 1.4-4
- multidist mock rebuild

* Mon Oct 29 2007 Pavel Lisy <pali@tmapy.cz> 1.4-3
- rebuild for RHEL-5

* Sun Jul 30 2006 Pavel Lisy <pali@tmapy.cz> 1.4-2
- corrections in spec file

* Wed Jul 12 2006 Pavel Lisy <pali@tmapy.cz>
- initial release
